# Signing Up


You can create an account on Zanata using an OpenID login (such as Google or Fedora), or by creating a password specific to Zanata. You can set or change your password and add OpenID accounts to your Zanata account at any time.

*Note: If you want to translate a JBoss-related project, use the translate.jboss.org site, which requires a jboss.org account. You can create a jboss.org account at the [jboss.org registration page](https://community.jboss.org/register.jspa). The following instructions are for general open source projects on [translate.zanata.org](http://translate.zanata.org).*

## Sign up Using OpenID

To create an account using OpenID:

 1. Navigate to translate.zanata.org
 1. Click `Sign up` at the upper right of the page.
 1. Select your OpenID type or enter an OpenID URL.
 1. Confirm with your OpenID provider, after which you are returned to the Zanata page.
 1. Complete the `Name`, `Username`, and `Email` fields. Ensure your email address is entered correctly.
 1. Click `Save`. This sends a validation email to the address you entered in the previous step.
 1. Open the validation email and click the validation link.
<figure>
   ![Account signup openid](/images/account-signup-openid-details.png)
 </figure>

You can now sign in to Zanata using your OpenID credentials.


## Sign up with a New Password

To use a separate password for Zanata, rather than registering with your OpenID credentials:

 1. Click `Sign up` at the upper right of the page.
 1. Complete the `Name`, `Email`, and other details.
 1. Click `Register`
 1. Open the validation email and click the validation link.

You can now sign in to Zanata with the user name and password you entered in step 2.


## Adding a Password

If you registered with OpenID, you can still set up a password and sign in directly. To set a password, click `Change Password` under your profile settings and enter the desired password.


## Adding OpenID Accounts to Your Zanata Account

You can add OpenID accounts to your Zanata account after it is created. You can have several different accounts linked to the same Zanata account and sign in with any of them.

To add an OpenID account to your Zanata account:

 1. Click the profile avatar at the upper right of the page to display the menu pane.
 1. Click `Settings` and then click `Manage Identities`.
 1. In the `Actions` menu, click `Add New Identity` and follow the procedure described earlier.

*Note: if you want to translate a project that falls under the Fedora CLA, you must add a Fedora OpenID to your Zanata account. You can then sign in with your password or any OpenID account and be allowed to translate Fedora projects.*
